from random import *

def frequencePile(n):
    """ Simule n lancers d'une pièce équilibrée et renvoie la fréquence du 
        nombre de Pile obtenus."""
    
    c=0
    for i in range(n):
        if randint(1,2)==1:
            c = c+1
    
    return c/n
    
 
def Nechantillons(N,n):
    """Simule N échantillons de n lancers d'une pièce équilibrée. Renvoie la fréquence du nombre
    de fois où l'écart avec 0,5 est resté inférieur à 0,1"""
    
    c = 0
    for i in range(N):
        f = frequencePile(n)
        if abs(f-0.5)<=0.1:
            c = c+1
        
    return c/N
    
# Exemples d'utilisation
print(Nechantillons(10000,100))
print(Nechantillons(10000,500))
    